Skip to main content
GET
/
api
/
v1
/
cards
curl "https://api.agentcard.sh/api/v1/cards?status=OPEN&limit=10" \
  -H "Authorization: Bearer sk_test_..."
{
  "cards": [
    {
      "id": "cm3abc123",
      "cardholderId": "ch_abc123",
      "last4": "4242",
      "expiry": "03/28",
      "spendLimitCents": 1000,
      "balanceCents": 750,
      "status": "OPEN",
      "createdAt": "2026-03-10T12:00:00.000Z"
    }
  ],
  "total": 1,
  "limit": 10,
  "offset": 0
}
Returns a paginated list of cards belonging to your organization.

Query parameters

status
string
Filter by card status. Accepted values: OPEN, CLOSED.
cardholderId
string
Filter cards by cardholder ID.
limit
integer
default:"50"
Number of cards to return. Min 1, max 100.
offset
integer
default:"0"
Number of cards to skip for pagination.

Response

cards
array
Array of card objects.
total
integer
Total number of cards matching the filter.
limit
integer
The limit used for this request.
offset
integer
The offset used for this request.
curl "https://api.agentcard.sh/api/v1/cards?status=OPEN&limit=10" \
  -H "Authorization: Bearer sk_test_..."
{
  "cards": [
    {
      "id": "cm3abc123",
      "cardholderId": "ch_abc123",
      "last4": "4242",
      "expiry": "03/28",
      "spendLimitCents": 1000,
      "balanceCents": 750,
      "status": "OPEN",
      "createdAt": "2026-03-10T12:00:00.000Z"
    }
  ],
  "total": 1,
  "limit": 10,
  "offset": 0
}